## org.eclipse.emf.mapping.action
Class RemoveMappingAction

    java.lang.Object
      org.eclipse.emf.edit.ui.action.CommandAction
          org.eclipse.emf.mapping.action.RemoveMappingAction

All Implemented Interfaces:
  CommandStackListener, IActionDelegate, IActionDelegate2, IEditorActionDelegate, IViewActionDelegate

    public class RemoveMappingAction

extends CommandAction
implements CommandStackListener

Nested Class Summary
`static class` `RemoveMappingAction.CommandDelegate`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`action, collection, command, editingDomain, editorPart, workbenchPart`

Constructor Summary
`RemoveMappingAction()`

Method Summary
`void` `commandStackChanged(java.util.EventObject event)` Called when the `CommandStack`'s state has changed.
`protected Command` `createActionCommand(EditingDomain editingDomain, java.util.Collection<?> collection)` Create the command for this action
`protected java.lang.Object` `getDefaultImage()` This returns the image that is used if the command does not provide an override.
`protected ImageDescriptor` `objectToImageDescriptor(java.lang.Object object)`
`void` `selectionChanged(IAction action, ISelection selection)` This is invoked by the framework so that the action state can be updated.
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)` This records the specified workbench part, and if it is an editing domain provider, its editing domain.

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`dispose, getDefaultImageDescriptor, init, init, run, runWithEvent, setActiveEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveMappingAction

    public RemoveMappingAction()

Method Detail

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

  Description copied from class: `CommandAction`
  This records the specified workbench part, and if it is an editing domain provider, its editing domain.

  Overrides:
    `setActiveWorkbenchPart` in class `CommandAction`

### commandStackChanged

    public void commandStackChanged(java.util.EventObject event)

  Description copied from interface: `CommandStackListener`
  Called when the `CommandStack`'s state has changed.

  Specified by:
    `commandStackChanged` in interface `CommandStackListener`
  Parameters:
    `event` - the event.

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Description copied from class: `CommandAction`
  This is invoked by the framework so that the action state can be updated.

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Overrides:
    `selectionChanged` in class `CommandAction`

### getDefaultImage

    protected java.lang.Object getDefaultImage()

  This returns the image that is used if the command does not provide an override.

### objectToImageDescriptor

    protected ImageDescriptor objectToImageDescriptor(java.lang.Object object)

  Overrides:
    `objectToImageDescriptor` in class `CommandAction`

### createActionCommand

    protected Command createActionCommand(EditingDomain editingDomain,
                                          java.util.Collection<?> collection)

  Create the command for this action

  Overrides:
    `createActionCommand` in class `CommandAction`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.